> For the complete documentation index, see llms.txt.
Skip to main content

Check out Port for yourself ➜ 

Add a log to an action run

POST 

/v1/actions/runs/:run_id/logs

This route allows you to send a log message back to Port, which will be displayed in the action run's page. You can also use this route to update the run's termination status (SUCCESS/FAILURE) and label describing the status.

Setting a termination status or a status label requires permission to update the action's runs, and follows the same rules as the update route: a run that is waiting for approval can only be cancelled (FAILURE) by its creator or an approver of the action. Any other status change on a waiting run returns a 422 error (run_waiting_for_approval).

To learn more about action runs, check out the documentation.

Request​

Responses​

OK